%define name glipper
%define version 1.0
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Glipper is a clipboard manager for GNOME

Group:          Graphical desktop/GNOME
License:        LGPL
URL:            http://glipper.sourceforge.net/
Source0:        %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig
BuildRequires:  gnome-doc-utils
BuildRequires:  glib2-devel
BuildRequires:  libgnome2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	ImageMagick
BuildRequires:	gnome-python >= 2.10
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python-gconf gnome-python-gnomevfs gnome-python-applet

Requires(post,preun): GConf2

%description

Glipper is a clipboard manager for GNOME. It maintains a history 
of text copied to the clipboard from which you can choose. You 
can see this as a GNOME counterpart to KDE's Klipper.

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install
%make 

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %name

%post
%update_icon_cache hicolor
%post_install_gconf_schemas glipper

%preun
%preun_install_gconf_schemas glipper

%postun
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{py_sitedir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/bonobo/servers/*
%{_libdir}/pkgconfig/*.pc
%dir %_datadir/gnome/help/%{name}
%lang(fr) %_datadir/gnome/help/%{name}/fr/glipper.xml
%lang(de) %_datadir/gnome/help/%{name}/de/glipper.xml
%lang(it) %_datadir/gnome/help/%{name}/it/glipper.xml
%_datadir/gnome/help/%{name}/C/%{name}.xml
%_iconsdir/hicolor/*/apps/*


%changelog
* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 1.0-1mdv2008.0
+ Revision: 60307
- Disable schema install
- put correct python sitedir
- Finally fix the file list :(
- fix file list
- BR gnome-python-applet
- BR pygtk2.0-devel
- New version 1.0

* Mon Apr 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.95.1-2mdv2008.0
+ Revision: 19688
- grah, package .glade file
- whoops, don't package non-existent TODO file
- clean and reorder spec
- no need to BuildRequires GTK (implied by others)
- add Source1 (larger version of icon), generate MDV and fd.o icon sets
- package language-specific help files properly
- update icon cache and menus in post and postun


* Fri Jan 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.95.1-1mdv2007.0
+ Revision: 110574
- Import glipper

